Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.html.dom
Class HTMLElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.html.dom.HTMLElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, org.w3c.dom.html.HTMLElement, Node, NodeList

Direct Known Subclasses:
  HTMLAnchorElementImpl, HTMLAppletElementImpl, HTMLAreaElementImpl, HTMLBaseElementImpl, HTMLBaseFontElementImpl, HTMLBodyElementImpl, HTMLBRElementImpl, HTMLButtonElementImpl, HTMLDirectoryElementImpl, HTMLDivElementImpl, HTMLDListElementImpl, HTMLFieldSetElementImpl, HTMLFontElementImpl, HTMLFormElementImpl, HTMLFrameElementImpl, HTMLFrameSetElementImpl, HTMLHeadElementImpl, HTMLHeadingElementImpl, HTMLHRElementImpl, HTMLHtmlElementImpl, HTMLIFrameElementImpl, HTMLImageElementImpl, HTMLInputElementImpl, HTMLIsIndexElementImpl, HTMLLabelElementImpl, HTMLLegendElementImpl, HTMLLIElementImpl, HTMLLinkElementImpl, HTMLMapElementImpl, HTMLMenuElementImpl, HTMLMetaElementImpl, HTMLModElementImpl, HTMLObjectElementImpl, HTMLOListElementImpl, HTMLOptGroupElementImpl, HTMLOptionElementImpl, HTMLParagraphElementImpl, HTMLParamElementImpl, HTMLPreElementImpl, HTMLQuoteElementImpl, HTMLScriptElementImpl, HTMLSelectElementImpl, HTMLStyleElementImpl, HTMLTableCaptionElementImpl, HTMLTableCellElementImpl, HTMLTableColElementImpl, HTMLTableElementImpl, HTMLTableRowElementImpl, HTMLTableSectionElementImpl, HTMLTextAreaElementImpl, HTMLTitleElementImpl, HTMLUListElementImpl

Deprecated. 9.2.0.0 Replaced by org.apache.html.dom.HTMLElementImpl.

    public class HTMLElementImpl

extends ElementImpl
implements org.w3c.dom.html.HTMLElement

Implements an HTML-specific element, an `Element` that will only appear inside HTML documents. This element extends `ElementImpl` by adding methods for directly manipulating HTML-specific attributes. All HTML elements gain access to the `id`, `title`, `lang`, `dir` and `class` attributes. Other elements add their own specific attributes.

See Also:
  `HTMLElement`, Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAttribute(String attrName)` Deprecated. Look up a single Attribute by name.
`Attr` | `getAttributeNode(String attrName)` Deprecated. Look up a single Attribute by name.
`Attr` | `getAttributeNodeNS(String namespaceURI, String localName)` Deprecated. Retrieves an Attr node by local name and namespace URI.
`String` | `getAttributeNS(String namespaceURI, String localName)` Deprecated. Introduced in DOM Level 2.
`String` | `getClassName()` Deprecated.
`String` | `getDir()` Deprecated.
`NodeList` | `getElementsByTagName(String tagName)` Deprecated. Returns a NodeList of all descendent nodes (children, grandchildren, and so on) which are Elements and which have the specified tag name.
`NodeList` | `getElementsByTagNameNS(String namespaceURI, String localName)` Deprecated. Introduced in DOM Level 2.
`org.w3c.dom.html.HTMLFormElement` | `getForm()` Deprecated. Convenience method returns the form in which this form element is contained.
`String` | `getId()` Deprecated.
`String` | `getLang()` Deprecated.
`String` | `getTitle()` Deprecated.
`void` | `setClassName(String className)` Deprecated.
`void` | `setDir(String dir)` Deprecated.
`void` | `setId(String id)` Deprecated.
`void` | `setLang(String lang)` Deprecated.
`void` | `setTitle(String title)` Deprecated.

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getBaseURI, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getId

    public String getId()

  Deprecated.
  Specified by:
    `getId` in interface `org.w3c.dom.html.HTMLElement`

### setId

    public void setId(String id)

  Deprecated.
  Specified by:
    `setId` in interface `org.w3c.dom.html.HTMLElement`

### getTitle

    public String getTitle()

  Deprecated.
  Specified by:
    `getTitle` in interface `org.w3c.dom.html.HTMLElement`

### setTitle

    public void setTitle(String title)

  Deprecated.
  Specified by:
    `setTitle` in interface `org.w3c.dom.html.HTMLElement`

### getLang

    public String getLang()

  Deprecated.
  Specified by:
    `getLang` in interface `org.w3c.dom.html.HTMLElement`

### setLang

    public void setLang(String lang)

  Deprecated.
  Specified by:
    `setLang` in interface `org.w3c.dom.html.HTMLElement`

### getDir

    public String getDir()

  Deprecated.
  Specified by:
    `getDir` in interface `org.w3c.dom.html.HTMLElement`

### setDir

    public void setDir(String dir)

  Deprecated.
  Specified by:
    `setDir` in interface `org.w3c.dom.html.HTMLElement`

### getClassName

    public String getClassName()

  Deprecated.
  Specified by:
    `getClassName` in interface `org.w3c.dom.html.HTMLElement`

### setClassName

    public void setClassName(String className)

  Deprecated.
  Specified by:
    `setClassName` in interface `org.w3c.dom.html.HTMLElement`

### getAttributeNode

    public Attr getAttributeNode(String attrName)

  Deprecated.
  Description copied from class: `ElementImpl`
  Look up a single Attribute by name. Returns the Attribute Node, so its complete child tree is available. This could be important in XML, where the string rendering may not be sufficient information.

  If no matching attribute is available, returns null.

  Specified by:
    `getAttributeNode` in interface `Element`
  Overrides:
    `getAttributeNode` in class `ElementImpl`

### getAttributeNodeNS

    public Attr getAttributeNodeNS(String namespaceURI,
                                   String localName)

  Deprecated.
  Description copied from class: `ElementImpl`
  Retrieves an Attr node by local name and namespace URI.

  Specified by:
    `getAttributeNodeNS` in interface `Element`
  Overrides:
    `getAttributeNodeNS` in class `ElementImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the attribute to retrieve.
    `localName` - The local name of the attribute to retrieve.
  Returns:
    Attr The Attr node with the specified attribute local name and namespace URI or null if there is no such attribute.

### getAttribute

    public String getAttribute(String attrName)

  Deprecated.
  Description copied from class: `ElementImpl`
  Look up a single Attribute by name. Returns the Attribute's string value, or an empty string (NOT null!) to indicate that the name did not map to a currently defined attribute.

  Note: Attributes may contain complex node trees. This method returns the "flattened" string obtained from Attribute.getValue(). If you need the structure information, see getAttributeNode().

  Specified by:
    `getAttribute` in interface `Element`
  Overrides:
    `getAttribute` in class `ElementImpl`

### getAttributeNS

    public String getAttributeNS(String namespaceURI,
                                 String localName)

  Deprecated.
  Description copied from class: `ElementImpl`
  Introduced in DOM Level 2.

  Retrieves an attribute value by local name and namespace URI.

  Specified by:
    `getAttributeNS` in interface `Element`
  Overrides:
    `getAttributeNS` in class `ElementImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the attribute to retrieve.
    `localName` - The local name of the attribute to retrieve.
  Returns:
    String The Attr value as a string, or empty string if that attribute does not have a specified or default value.

### getElementsByTagName

    public final NodeList getElementsByTagName(String tagName)

  Deprecated.
  Description copied from class: `ElementImpl`
  Returns a NodeList of all descendent nodes (children, grandchildren, and so on) which are Elements and which have the specified tag name.

  Note: NodeList is a "live" view of the DOM. Its contents will change as the DOM changes, and alterations made to the NodeList will be reflected in the DOM.

  Specified by:
    `getElementsByTagName` in interface `Element`
  Overrides:
    `getElementsByTagName` in class `ElementImpl`
  Parameters:
    `tagName` - The type of element to gather. To obtain a list of all elements no matter what their names, use the wild-card tag name "*".
  See Also:
    `DeepNodeListImpl`

### getElementsByTagNameNS

    public final NodeList getElementsByTagNameNS(String namespaceURI,
                                                 String localName)

  Deprecated.
  Description copied from class: `ElementImpl`
  Introduced in DOM Level 2.

  Returns a NodeList of all the Elements with a given local name and namespace URI in the order in which they would be encountered in a preorder traversal of the Document tree, starting from this node.

  Specified by:
    `getElementsByTagNameNS` in interface `Element`
  Overrides:
    `getElementsByTagNameNS` in class `ElementImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the elements to match on. The special value "*" matches all namespaces. When it is null or an empty string, this method behaves like getElementsByTagName.
    `localName` - The local name of the elements to match on. The special value "*" matches all local names.
  Returns:
    NodeList A new NodeList object containing all the matched Elements.

### getForm

    public org.w3c.dom.html.HTMLFormElement getForm()

  Deprecated.
  Convenience method returns the form in which this form element is contained. This method is exposed for form elements through the DOM API, but other elements have no access to it through the API.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD